
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.WebKit2WebExtension.Structs.ContextMenuItem_
    ( 

-- * Exported types
    ContextMenuItem_(..)                    ,
    noContextMenuItem_                      ,


 -- * Properties
-- ** Parent
    contextMenuItem_ReadParent              ,




    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.WebKit2WebExtension.Types
import GI.WebKit2WebExtension.Callbacks
import qualified GI.GObject as GObject

newtype ContextMenuItem_ = ContextMenuItem_ (ForeignPtr ContextMenuItem_)
noContextMenuItem_ :: Maybe ContextMenuItem_
noContextMenuItem_ = Nothing

contextMenuItem_ReadParent :: ContextMenuItem_ -> IO GObject.InitiallyUnowned
contextMenuItem_ReadParent s = withManagedPtr s $ \ptr -> do
    val <- peek (ptr `plusPtr` 0) :: IO (Ptr GObject.InitiallyUnowned)
    val' <- (newObject GObject.InitiallyUnowned) val
    return val'



